package nu.helmers.jbpmtest.wiring.startup;

import org.jbpm.api.RepositoryService;

import com.google.inject.Inject;

/**
 * Load the jbpm processes as soon as the Guice injector is initialized.
 */
public class JbpmProcessDefinitionsLoader {

    @Inject
    public JbpmProcessDefinitionsLoader(RepositoryService repositoryService) {
        repositoryService.createDeployment().addResourceFromClasspath("jbpm/processes/PROCESS_A.jpdl.xml").deploy();
    }
}
