package nu.helmers.jbpmtest.wiring.modules;

import java.util.ArrayList;
import java.util.List;

import nu.helmers.commons.guice.test.MockModule;

import org.jbpm.api.ExecutionService;
import org.jbpm.api.RepositoryService;
import org.jbpm.api.TaskService;

import com.google.inject.Key;

public class MockedJbpmLayerModule extends MockModule {

    private static List<Key<?>> mockedDaos = new ArrayList<Key<?>>();

    static {
        mockedDaos.add(Key.get(TaskService.class));
        mockedDaos.add(Key.get(ExecutionService.class));
        mockedDaos.add(Key.get(RepositoryService.class));
    }

    public MockedJbpmLayerModule() {
        super(mockedDaos);
    }

}
