package nu.helmers.jbpmtest.hibernate;

import org.hibernate.HibernateException;
import org.hibernate.SessionFactory;

public class GenericSessionFactory {
    private final SessionFactory sessionFactory;

    public GenericSessionFactory(SessionFactory sessionFactory) {
        this.sessionFactory = sessionFactory;
    }

    public GenericSession openSession() throws HibernateException {
        return new GenericSession(sessionFactory.openSession());
    }

    public GenericSession getCurrentSession() {
        return new GenericSession(sessionFactory.getCurrentSession());
    }
}
