package nu.helmers.jbpmtest.wiring.modules;

import nu.helmers.commons.guice.PropertiesModule;
import nu.helmers.jbpmtest.hibernate.AbstractGenericDao;

import org.junit.Ignore;

import com.google.inject.AbstractModule;
import com.google.inject.matcher.Matchers;

/** Module intended for integration testing daos. */
@Ignore
public class DataLayerIntegrationTestModule extends AbstractModule {

    @Override
    protected void configure() {
        // test stuff.
        install(new TestDataSourceModule());

        // prod stuff (but in production no matchers passed into DataLayerModule).
        install(new PropertiesModule("/jbpmtest-dao.properties"));
        install(new DataLayerModule(Matchers.subclassesOf(AbstractGenericDao.class), Matchers.any()));
    }

}
