package nu.helmers.jbpmtest.wiring.modules;

import java.util.ArrayList;
import java.util.List;

import nu.helmers.commons.guice.test.MockModule;
import nu.helmers.jbpmtest.service.IIssueService;
import nu.helmers.jbpmtest.service.JbpmFacade;

import com.google.inject.Key;

public class MockedServiceLayerModule extends MockModule {

    private static List<Key<?>> mockedServices = new ArrayList<Key<?>>();

    static {
        mockedServices.add(Key.get(IIssueService.class));
        mockedServices.add(Key.get(JbpmFacade.class));
    }

    public MockedServiceLayerModule() {
        super(mockedServices);
    }

}
